Appearance
List replies for an idea
Ideas
Lists paginated set of replies for an idea. By default returns visible replies. A valid moderatorId value is required to fetch trashed replies.
GET
/ideas/{id}/replies
Parameters
Path Parameters
id*
ID of the idea to interact with
Type
Requiredstring
Query Parameters
moderatorId
ID of the moderator fetching the replies
Type
string
onlyNotTrashed
Filter trashed replies from result, for example to retrieve only not trashed replies. Not passing this parameter will return replies including trashed replies
Type
boolean
Example
truepage
Selects the page to retrieve on paginated responses. Used in combination with the pageSize parameter to paginate over results
Type
integer
Default
1Minimum
1pageSize
Limits the number of items returned in a single paginated response. Used in combination with the page parameter to paginate over results
Type
integer
Default
25Maximum
100Minimum
1sort
Defines the field to sort the results on. By default the response is sorted by oldest first.
- oldestFirst : The least recent reply to the most recent reply.
- mostRecentFirst : Ordered by most recent to least recent.
- mostLiked : Ordered by replies which have the most likes to the least likes.
Type
string
Valid values
"oldestFirst""mostRecentFirst""mostLiked"Default
"oldestFirst"Responses
Successful response
application/json
JSON "result": [ { "id": "2", "publicReplyId": "5", "content": "I completely agree with the topic starter", "author": { "id": "7", "username": "john-doe", "customTitle": "awesome_user", "signature": "awesome_user", "avatar": "http://example.com/avatar123.jpg", "reputation": { "rank": "senior_replier", "rankIcon": "http://example.com/rank-icon.jpg", "rankIconThumbnail": "http://example.com/rank-icon-thumbnail.jpg", "likesReceived": 0, "repliesMade": 0 } }, "repliedAt": "2017-04-10T15:29:06+00:00", "inclusiveReplyCount": 0, "inclusiveVisibleReplyCount": 0, "trashed": false, "spam": true, "reported": true, "reportedContent": [ { "id": "string", "reason": "string", "reportedAt": "string", "reportedBy": { "id": "7", "username": "john-doe", "customTitle": "awesome_user", "signature": "awesome_user", "avatar": "http://example.com/avatar123.jpg", "reputation": { "rank": "senior_replier", "rankIcon": "http://example.com/rank-icon.jpg", "rankIconThumbnail": "http://example.com/rank-icon-thumbnail.jpg", "likesReceived": 0, "repliesMade": 0 } } } ], "pendingApproval": false, "highlighted": false, "likedBy": [ "string" ], "permalink": "https://community.example.com/category-1/topic-title-123?postid=5#post5" } ]
{
}

